MOUNT_AUTOFS(8) | System Manager's Manual | MOUNT_AUTOFS(8)

# NAME

`mount_autofs` —
mount automounter filesystem

# SYNOPSIS

`mount_autofs` | [`-f` from] [`-O` master_options] [`-o` options] [`-p` master_prefix] autofs mount_point

# DESCRIPTION

The `mount_autofs` command should not usually be called by admins. Use automount(8) instead. autofs(5) is mountable using automount(8), which incorporates an auto_master(5) parser, without having to specify autofs(5) mount options via command line.

The `mount_autofs` command attaches the automounter filesystem on the autofs device on to the file system tree at point mount_point. Both autofs and mount_point are converted to absolute paths before use.

This command is normally executed by automount(8). The options are as follows:

`-f`
  Set the from location for autofs(5). This argument is usually read from /etc/auto_master by automount(8).
`-o`
  Set the mount options. See the mount(8) man page for possible options and their meanings.
`-O`
  Set the autofs(5) options. See the [`-`options] in AUTO_MASTER SYNTAX of auto_master(5).
`-p`
  Set the autofs(5) prefix, below which the file system(s) will be mounted.

# SEE ALSO

auto_master(5), autofs(5), fstab(5), automount(8), mount(8)

# HISTORY

The `mount_autofs` utility first appeared in NetBSD 9.0. The `mount_autofs` utility first appeared in DragonFly 5.1.

This manpage first appeared in DragonFly and has been ported to NetBSD.

November 21, 2019 | NetBSD 10.0